GET /volumes/{id}/actions

hetzner.cloud

Summary: Get all Actions for a Volume
Operation ID:
Auth: unknown
Description

Returns all Action objects for a Volume. You can `sort` the results by using the sort URI parameter, and filter them with the `status` parameter.

Parameters (3)

id (integer, path, required)

ID of the Volume

sort (string, query, optional)

Can be used multiple times.

Constraints: {'enum': ['id', 'id:asc', 'id:desc', 'command', 'command:asc', 'command:desc', 'status', 'status:asc', 'status:desc', 'progress', 'progress:asc', 'progress:desc', 'started', 'started:asc', 'started:desc', 'finished', 'finished:asc', 'finished:desc']}

status (string, query, optional)

Can be used multiple times, the response will contain only Actions with specified statuses

Constraints: {'enum': ['running', 'success', 'error']}

No probe data for this endpoint yet.